angular.module('focaModalTarifaFlete')
    .controller('focaModalTarifaFleteController',
        [
            '$filter',
            '$scope',
            '$uibModalInstance',
            'parametrosTarifaFlete',
            function($filter, $scope, $uibModalInstance, parametrosTarifaFlete) {
                $scope.parametrosTarifaFlete = parametrosTarifaFlete;
                $scope.aceptar = function() {
                    var parametrosTarifaFlete = {
                        costo: $scope.parametrosTarifaFlete.costo
                    };
                    $uibModalInstance.close(parametrosTarifaFlete);
                };

                $scope.cancel = function() {
                    $uibModalInstance.dismiss('cancel');
                };

                $scope.validar = function() {
                    return $scope.formTarifaFlete.$pristine || $scope.parametrosTarifaFlete.costo <= 0;
                }
            }
        ]
    );
